Package org.eclipse.e4.core.services.nls

# Interface MessageFunction<M>

Type Parameters:
  `M` - the message class type

public interface MessageFunction<M>
Function interface that is used to bind a property of an object (e.g. a SWT control) to a field of a Messages instance. This interface is intended to be used with implementations that use Java 8, so it is possible to operate using method references and lambdas.

This is a functional interface whose functional method is `apply(M)`.

When updating to Java 8 this interface can be removed and replaced with the general `java.util.function.Function`

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(M m)`

## Method Details

### apply

String apply(M m)

Parameters:
  `m` - The message instance from which the value should be retrieved.
Returns:
  The message value out of the given messages instance.